OrcProto.RowIndex.Builder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Class OrcProto.RowIndex.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<OrcProto.RowIndex.Builder>
      - - org.apache.orc.OrcProto.RowIndex.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, OrcProto.RowIndexOrBuilder
  Enclosing class:
    OrcProto.RowIndex

      public static final class OrcProto.RowIndex.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<OrcProto.RowIndex.Builder>
      implements OrcProto.RowIndexOrBuilder

  Protobuf type `orc.proto.RowIndex`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.RowIndex.Builder` | `addAllEntry(Iterable<? extends OrcProto.RowIndexEntry> values)` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `OrcProto.RowIndex.Builder` | `addEntry(int index, OrcProto.RowIndexEntry.Builder builderForValue)` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `OrcProto.RowIndex.Builder` | `addEntry(int index, OrcProto.RowIndexEntry value)` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `OrcProto.RowIndex.Builder` | `addEntry(OrcProto.RowIndexEntry.Builder builderForValue)` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `OrcProto.RowIndex.Builder` | `addEntry(OrcProto.RowIndexEntry value)` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `OrcProto.RowIndexEntry.Builder` | `addEntryBuilder()` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `OrcProto.RowIndexEntry.Builder` | `addEntryBuilder(int index)` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `OrcProto.RowIndex` | `build()`
    `OrcProto.RowIndex` | `buildPartial()`
    `OrcProto.RowIndex.Builder` | `clear()`
    `OrcProto.RowIndex.Builder` | `clearEntry()` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `OrcProto.RowIndex.Builder` | `clone()`
    `OrcProto.RowIndex` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `OrcProto.RowIndexEntry` | `getEntry(int index)` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `OrcProto.RowIndexEntry.Builder` | `getEntryBuilder(int index)` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `List<OrcProto.RowIndexEntry.Builder>` | `getEntryBuilderList()` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `int` | `getEntryCount()` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `List<OrcProto.RowIndexEntry>` | `getEntryList()` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `OrcProto.RowIndexEntryOrBuilder` | `getEntryOrBuilder(int index)` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `List<? extends OrcProto.RowIndexEntryOrBuilder>` | `getEntryOrBuilderList()` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `OrcProto.RowIndex.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `OrcProto.RowIndex.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `OrcProto.RowIndex.Builder` | `mergeFrom(OrcProto.RowIndex other)`
    `OrcProto.RowIndex.Builder` | `removeEntry(int index)` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `OrcProto.RowIndex.Builder` | `setEntry(int index, OrcProto.RowIndexEntry.Builder builderForValue)` `repeated .orc.proto.RowIndexEntry entry = 1;`
    `OrcProto.RowIndex.Builder` | `setEntry(int index, OrcProto.RowIndexEntry value)` `repeated .orc.proto.RowIndexEntry entry = 1;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.RowIndex.Builder>`

    - #### clear

          public OrcProto.RowIndex.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.RowIndex.Builder>`

    - #### clone

          public OrcProto.RowIndex.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.RowIndex.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.RowIndex.Builder>`

    - #### getDefaultInstanceForType

          public OrcProto.RowIndex getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public OrcProto.RowIndex build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public OrcProto.RowIndex buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public OrcProto.RowIndex.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.RowIndex.Builder>`

    - #### mergeFrom

          public OrcProto.RowIndex.Builder mergeFrom(OrcProto.RowIndex other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<OrcProto.RowIndex.Builder>`

    - #### mergeFrom

          public OrcProto.RowIndex.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                     com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                              throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<OrcProto.RowIndex.Builder>`
      Throws:
        `IOException`

    - #### getEntryList

          public List<OrcProto.RowIndexEntry> getEntryList()

      `repeated .orc.proto.RowIndexEntry entry = 1;`
      Specified by:
        `getEntryList` in interface `OrcProto.RowIndexOrBuilder`

    - #### getEntryCount

          public int getEntryCount()

      `repeated .orc.proto.RowIndexEntry entry = 1;`
      Specified by:
        `getEntryCount` in interface `OrcProto.RowIndexOrBuilder`

    - #### getEntry

          public OrcProto.RowIndexEntry getEntry(int index)

      `repeated .orc.proto.RowIndexEntry entry = 1;`
      Specified by:
        `getEntry` in interface `OrcProto.RowIndexOrBuilder`

    - #### setEntry

          public OrcProto.RowIndex.Builder setEntry(int index,
                                                    OrcProto.RowIndexEntry value)

      `repeated .orc.proto.RowIndexEntry entry = 1;`

    - #### setEntry

          public OrcProto.RowIndex.Builder setEntry(int index,
                                                    OrcProto.RowIndexEntry.Builder builderForValue)

      `repeated .orc.proto.RowIndexEntry entry = 1;`

    - #### addEntry

          public OrcProto.RowIndex.Builder addEntry(OrcProto.RowIndexEntry value)

      `repeated .orc.proto.RowIndexEntry entry = 1;`

    - #### addEntry

          public OrcProto.RowIndex.Builder addEntry(int index,
                                                    OrcProto.RowIndexEntry value)

      `repeated .orc.proto.RowIndexEntry entry = 1;`

    - #### addEntry

          public OrcProto.RowIndex.Builder addEntry(OrcProto.RowIndexEntry.Builder builderForValue)

      `repeated .orc.proto.RowIndexEntry entry = 1;`

    - #### addEntry

          public OrcProto.RowIndex.Builder addEntry(int index,
                                                    OrcProto.RowIndexEntry.Builder builderForValue)

      `repeated .orc.proto.RowIndexEntry entry = 1;`

    - #### addAllEntry

          public OrcProto.RowIndex.Builder addAllEntry(Iterable<? extends OrcProto.RowIndexEntry> values)

      `repeated .orc.proto.RowIndexEntry entry = 1;`

    - #### clearEntry

          public OrcProto.RowIndex.Builder clearEntry()

      `repeated .orc.proto.RowIndexEntry entry = 1;`

    - #### removeEntry

          public OrcProto.RowIndex.Builder removeEntry(int index)

      `repeated .orc.proto.RowIndexEntry entry = 1;`

    - #### getEntryBuilder

          public OrcProto.RowIndexEntry.Builder getEntryBuilder(int index)

      `repeated .orc.proto.RowIndexEntry entry = 1;`

    - #### getEntryOrBuilder

          public OrcProto.RowIndexEntryOrBuilder getEntryOrBuilder(int index)

      `repeated .orc.proto.RowIndexEntry entry = 1;`
      Specified by:
        `getEntryOrBuilder` in interface `OrcProto.RowIndexOrBuilder`

    - #### getEntryOrBuilderList

          public List<? extends OrcProto.RowIndexEntryOrBuilder> getEntryOrBuilderList()

      `repeated .orc.proto.RowIndexEntry entry = 1;`
      Specified by:
        `getEntryOrBuilderList` in interface `OrcProto.RowIndexOrBuilder`

    - #### addEntryBuilder

          public OrcProto.RowIndexEntry.Builder addEntryBuilder()

      `repeated .orc.proto.RowIndexEntry entry = 1;`

    - #### addEntryBuilder

          public OrcProto.RowIndexEntry.Builder addEntryBuilder(int index)

      `repeated .orc.proto.RowIndexEntry entry = 1;`

    - #### getEntryBuilderList

          public List<OrcProto.RowIndexEntry.Builder> getEntryBuilderList()

      `repeated .orc.proto.RowIndexEntry entry = 1;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.